module constants
 use precision
 implicit none


 
 real(dpreal),parameter :: hbarc=197.3269718_dpreal         ! NIST Ref 02.12.2014              
 real(dpreal),parameter :: mprot=938.272046_dpreal/hbarc    ! NIST Ref 02.12.2014 
 real(dpreal),parameter :: mneu=939.565379_dpreal/hbarc     ! NIST Ref 02.12.2014
 real(dpreal),parameter :: mlam=1115.683_dpreal/hbarc       ! PDG 2012
 real(dpreal),parameter :: msigp=1189.37_dpreal/hbarc       ! PDG 2012
 real(dpreal),parameter :: msig0=1192.642_dpreal/hbarc      ! PDG 2012
 real(dpreal),parameter :: msigm=1197.449_dpreal/hbarc      ! PDG 2012
 real(dpreal),parameter :: msigave=(msigp+msig0+msigm)/3.0_dpreal
 real(dpreal),parameter :: mnuc=2*mneu*mprot/(mneu+mprot)
 real(dpreal),parameter :: m_pip=139.57018_dpreal/hbarc     ! PDG 2012
 real(dpreal),parameter :: m_pi0=134.9766_dpreal/hbarc      ! PDG 2012
 real(dpreal),parameter :: m_pi=(2.0_dpreal*m_pip+m_pi0)/3.0_dpreal
 real(dpreal),parameter :: alpha_fein = 1.0_dpreal/137.035999074_dpreal ! NIST Ref 02.12.2014
 real(dpreal),parameter :: m_eta=547.853_dpreal/hbarc       ! PDG 2012
 real(dpreal),parameter :: m_rho=775.49_dpreal/hbarc        ! PDG 2012
 real(dpreal),parameter :: m_omega=782.65_dpreal/hbarc      ! PDG 2012
  
 ! real(dpreal),parameter ::mprot=938.94298/hbarc) ! gemittelte physikalische Massen 
 ! real(dpreal),parameter ::mneu=938.94298/hbarc) ! hbar**2/m=41.47
 ! real(dpreal),parameter ::mprot=938.92635/hbarc)     ! Miyagawa's Massen 
 ! real(dpreal),parameter ::mneu=938.92635/hbarc)     
 ! real(dpreal),parameter :: mlam=1115.60/hbarc)


end module constants

